Package org.apache.lucene.util

# Interface NamedSPILoader.NamedSPI

All Known Implementing Classes:
  `Codec`, `DocValuesFormat`, `FilterCodec`, `FlatVectorsFormat`, `KnnVectorsFormat`, `Lucene102BinaryQuantizedVectorsFormat`, `Lucene102HnswBinaryQuantizedVectorsFormat`, `Lucene103Codec`, `Lucene103PostingsFormat`, `Lucene90DocValuesFormat`, `Lucene99FlatVectorsFormat`, `Lucene99HnswScalarQuantizedVectorsFormat`, `Lucene99HnswVectorsFormat`, `Lucene99ScalarQuantizedVectorsFormat`, `PerFieldDocValuesFormat`, `PerFieldKnnVectorsFormat`, `PerFieldPostingsFormat`, `PostingsFormat`, `SortedNumericSortField.Provider`, `SortedSetSortField.Provider`, `SortField.Provider`, `SortFieldProvider`

Enclosing class:
  `NamedSPILoader<S extends NamedSPILoader.NamedSPI>`

public static interface NamedSPILoader.NamedSPI
Interface to support `NamedSPILoader.lookup(String)` by name.

Names must be all ascii alphanumeric, and less than 128 characters in length.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`

- ## Method Details

  - ### getName

    String getName()